Subject: (NAT) RSIP over TCP stream

From: "Saint-Hilaire, Ylian" <[email-masked]>
Date: Thu, 21 Oct 1999 14:46:49 -0700

Comment on the RSIP-PROTO-02 draft:
	
Since TCP is a streams based protocol, when using RSIP over TCP (control
channel) we need a way to delimit the start and end of each RSIP message.
The new draft supports an arbitrary number of options but there is not
indication on the number of options or the size of the message.
Consequently, an RSIP client could retrieve a message and not get one or
more optional parameters. A fix would be to place a message size field in
front of each RSIP message when using RSIP over TCP. Any feedback?

Ylian Saint-Hilaire
-
To unsubscribe, email [email-masked]' with
'unsubscribe nat' in the body of the message.